# Type Alias SearchFacetModel

type SearchFacetModel = {
category?: string;
description?: string;
facetMode?: FacetMode;
facetOptions: Record<string, object | number | string> | never[];
facetType: string;
field: string;
title: string;
}

- Defined in jamespot-user-api/src/types/search.ts:18

##### Index

### Properties

category?
description?
facetMode?
facetOptions
facetType
field
title

## Properties

### `Optional` category

category?: string

- Defined in jamespot-user-api/src/types/search.ts:25

### `Optional` description

description?: string

- Defined in jamespot-user-api/src/types/search.ts:24

### `Optional` facetMode

facetMode?: FacetMode

- Defined in jamespot-user-api/src/types/search.ts:21

### facetOptions

facetOptions: Record<string, object | number | string> | never[]

- Defined in jamespot-user-api/src/types/search.ts:20

### facetType

facetType: string

- Defined in jamespot-user-api/src/types/search.ts:19

### field

field: string

- Defined in jamespot-user-api/src/types/search.ts:22

### title

title: string

- Defined in jamespot-user-api/src/types/search.ts:23